## libksysguard 5.27.5

=== ksgrd/CMakeLists.txt ===



########### next target ###############

set(ksgrd_LIB_SRCS
   SensorAgent.cpp
   SensorManager.cpp
   SensorShellAgent.cpp
   SensorSocketAgent.cpp
)

set(ksgrd_LIB_HEADERS
    SensorAgent.h
    SensorClient.h
    SensorManager.h
    SensorShellAgent.h
    SensorSocketAgent.h
)

ecm_qt_declare_logging_category(ksgrd_LIB_SRCS HEADER ksgrd_debug.h IDENTIFIER LIBKSYSGUARD_KSGRD CATEGORY_NAME org.kde.libksysguard.ksgrd
    DESCRIPTION "libksysguard (ksgrd)" EXPORT LIBKSYSGUARD)
add_definitions(-DTRANSLATION_DOMAIN=\"ksgrd\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_library(ksgrd ${ksgrd_LIB_SRCS} ${ksgrd_LIB_HEADERS})
add_library(KSysGuard::SysGuard ALIAS ksgrd)
target_include_directories(ksgrd
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

target_link_libraries(ksgrd
    PUBLIC
        Qt::Core
        Qt::Network # QTcpSocket in SensorSocketAgent.h
        KF5::ConfigCore # KConfigGroup in SensorManager.h
    PRIVATE
        KF5::I18n
        KF5::CoreAddons
        KSysGuard::ProcessCore
)

set_target_properties(ksgrd PROPERTIES
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SOVERSION}
    EXPORT_NAME SysGuard
)
install(TARGETS ksgrd EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    ${ksgrd_LIB_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/ksgrd
    COMPONENT Devel
)

=== processui/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"processui\")

check_include_files(sys/endian.h HAVE_SYS_ENDIAN_H)
check_include_files(byteswap.h HAVE_BYTESWAP_H)

set(ksysguard_WIDGETS "ksysguard.widgets")

set(processui_LIB_SRCS
   ksysguardprocesslist.cpp
   ProcessFilter.cpp
   ProcessModel.cpp
   ReniceDlg.cpp
   KTextEditVT.cpp
   scripting.cpp
   processdetails/GeneralTab.cpp
   processdetails/MemoryMapsTab.cpp
   processdetails/OpenFilesTab.cpp
   processdetails/ProcessDetailsDialog.cpp
)

ecm_qt_declare_logging_category(processui_LIB_SRCS HEADER processui_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSUI CATEGORY_NAME org.kde.libksysguard.processui
    DESCRIPTION "libksysguard (processui)" EXPORT LIBKSYSGUARD)


ki18n_wrap_ui( processui_LIB_SRCS
   ReniceDlgUi.ui
   ProcessWidgetUI.ui
)

add_library(processui ${processui_LIB_SRCS})
add_library(KSysGuard::ProcessUi ALIAS processui)

if(HAVE_XRES)
    target_link_libraries(processui PRIVATE ${X11_XRes_LIB} ${X11_LIBRARIES})
    include_directories(${X11_XRes_INCLUDE_PATH})
endif()

target_link_libraries(processui
    PUBLIC
        KSysGuard::ProcessCore
        Qt::Widgets
        KF5::ConfigCore
    PRIVATE
        Qt::DBus
        KF5::I18n
        KF5::WindowSystem
        KF5::AuthCore
        KF5::Completion
        KF5::ConfigWidgets
        KF5::WidgetsAddons
        KF5::IconThemes
        KF5::JobWidgets
        KF5::GlobalAccel
        KF5::Service
        KF5::KIOGui
)
target_include_directories(processui
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard>"
)
if(HAVE_X11)
    if (QT_MAJOR_VERSION STREQUAL "5")
       target_link_libraries(processui PRIVATE Qt::X11Extras KF5::WindowSystem)
    else()
       target_link_libraries(processui PRIVATE Qt6::GuiPrivate KF5::WindowSystem)
    endif()
endif()

if(WEBENGINE_SCRIPTING_ENABLED)
    target_link_libraries(processui PRIVATE Qt::WebEngineWidgets Qt::WebChannel)
endif()

if(NOT HAVE_CLOCK_GETTIME_C)
    target_link_libraries(processui PRIVATE rt)
endif()

set_target_properties(processui PROPERTIES
   VERSION ${KSYSGUARD_VERSION}
   SOVERSION ${KSYSGUARD_SOVERSION}
   EXPORT_NAME ProcessUi
)

install(TARGETS processui EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES
    ProcessModel.h
    ProcessFilter.h
    KTextEditVT.h
    ksysguardprocesslist.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/processui
    COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

=== debian/changelog ===
libksysguard (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:41 +0200

libksysguard (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:25:26 +0200

libksysguard (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:14:07 +0100

libksysguard (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update the list of installed files from build logs.
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:33 +0100

libksysguard (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:38 +0100

libksysguard (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:54 +0100

libksysguard (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:41 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libcap-dev [linux-any],
               libkf5auth-dev (>= 5.102.0~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5jobwidgets-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libqt5webchannel5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libsensors-dev [linux-any],
               libx11-dev,
               libxres-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mipsel],
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
Rules-Requires-Root: no

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: ksysguard-data (<< 4:5.21.80),
Replaces: ksysguard-data (<< 4:5.21.80),
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.102.0~),
         libkf5i18n-dev (>= 5.102.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         qml-module-org-kde-ksysguard (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         qtdeclarative5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksgrd9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksgrd shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksgrd.

Package: libksignalplotter9
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksignalplotter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksignalplotter.

Package: liblsofui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - lsofui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library liblsofui.

Package: libprocesscore9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libprocessui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocessui.

Package: libksysguardformatter1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensors1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsensorfaces1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsystemstats1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: qml-module-org-kde-ksysguard
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper,sodeps

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# fix installation of documentation outside /usr/share/doc
	mkdir -p debian/tmp/usr/share/doc/ksysguard-data
	mv debian/tmp/usr/share/ksysguard/scripts/README \
	   debian/tmp/usr/share/doc/ksysguard-data/README.scripts

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

execute_before_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	  debian/libkf5sysguard-bin.postinst.in > debian/libkf5sysguard-bin.postinst

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## libksysguard 5.27.7

=== debian/changelog ===
libksysguard (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:10 +0100

libksysguard (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:41 +0100

libksysguard (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:47 +0100

## libksysguard 5.27.8

=== debian/changelog ===
libksysguard (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:57 +0100

libksysguard (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 13:09:51 +0100

libksysguard (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:56 +0200

libksysguard (4:5.27.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not depend on qtwebengine5-dev on mipsel (Closes: #1041252).

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Jul 2023 16:56:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libksysguard
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -38,12 +39,12 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
-               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386],
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin

## libksysguard 5.27.10

=== debian/changelog ===
libksysguard (4:5.27.10-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 4:5.17.5-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Mon, 17 Feb 2020 22:43:59 +0000]
  * Remove armhf from qtwebengine architecture list.

  [changes introduced in 4:5.25.4-3+rpi1 by Peter Michael Green]
  * Update symbols file for raspian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 19 Jan 2024 01:25:11 +0000

libksysguard (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:17:10 +0100

libksysguard (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:07 +0200

libksysguard (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libksysguard
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -39,12 +38,12 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
-               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386],
+               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 i386],
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin

## libksysguard 5.27.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libksysguard)

set(PROJECT_VERSION "5.27.11")
set(PROJECT_VERSION_MAJOR 5)

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets Qml Quick)
find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt${QT_MAJOR_VERSION}WebEngineWidgets PROPERTIES
                       URL "git://code.qt.org/qt/qtwebenginewidgets.git"
                       DESCRIPTION "Qt WebEngine module (web browsing engine)"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )
find_package(Qt${QT_MAJOR_VERSION}WebChannel ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt${QT_MAJOR_VERSION}WebChannel PROPERTIES
                       URL "git://code.qt.org/qt/qtwebchannel.git"
                       DESCRIPTION "Qt WebChannel module"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )


find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config I18n JobWidgets WindowSystem Auth WidgetsAddons IconThemes ConfigWidgets Service GlobalAccel KIO Package NewStuff Solid)

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://zlib.net/"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake"
                  SOVERSION 9
)

option(WITH_X11 "Build with X11 support." ON)
if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                            URL "https://www.x.org"
                            TYPE OPTIONAL
                            PURPOSE "Required for building Process UI with X11 support"
                        )
    if(X11_FOUND)
        if (QT_MAJOR_VERSION STREQUAL "5")
            find_package(Qt5X11Extras REQUIRED)
        elseif (QT_MAJOR_VERSION STREQUAL "6")
            find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
        endif()
        set(HAVE_X11 1)
        find_library(X11_XRes_LIB XRes ${X11_LIB_SEARCH_PATH})
        find_path(X11_XRes_INCLUDE_PATH X11/extensions/XRes.h ${X11_INC_SEARCH_PATH})

        if(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
            set(HAVE_XRES 1)
        endif()
    endif()
else()
    set(HAVE_X11 0)
    set(HAVE_XRES 0)
endif()

set(WEBENGINE_SCRIPTING_ENABLED FALSE)
if(Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND AND Qt${QT_MAJOR_VERSION}WebChannel_FOUND)
    set(WEBENGINE_SCRIPTING_ENABLED TRUE)
endif()
add_feature_info("Scripting plugin support" WEBENGINE_SCRIPTING_ENABLED "Support scripting plugins using WebEngine and WebChannel")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
        URL "https://github.com/thom311/libnl/"
    )
    find_package(libpcap)
    set_package_properties(
        libpcap PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "libpcap is used for per-application network usage."
    )

    if(libpcap_FOUND )
        set(BUILD_NETWORK_PLUGIN TRUE)

        find_package(Libcap)
        set_package_properties(Libcap PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Needed for setting capabilities of the per-application network plugin."
        )
    endif()

    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for reading hardware sensors")
endif()

configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

option(ENABLE_KAUTH_HELPER "Build and install ksysguardprocesslist_helper KAuth helper" ON)
add_feature_info(KAUTH_HELPER ${ENABLE_KAUTH_HELPER} "Build and install ksysguardprocesslist_helper KAuth helper")

ecm_set_disabled_deprecation_versions(
    QT 5.15.0
)

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055B00)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060000)
add_definitions(-DQT_USE_QSTRINGBUILDER)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory( formatter )
add_subdirectory( lsofui )
add_subdirectory( processcore )
add_subdirectory( processui )
add_subdirectory( sensors )
add_subdirectory( faces )
add_subdirectory( signalplotter )
add_subdirectory( ksgrd )
add_subdirectory( systemstats )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

install(DIRECTORY scripts/ DESTINATION ${KDE_INSTALL_DATADIR}/ksysguard/scripts)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KSysGuard)
configure_package_config_file(KSysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

configure_package_config_file(KF5SysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake
    DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard
)

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KSysGuard::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KSysGuardLibraryTargets.cmake )

ecm_qt_install_logging_categories(
        EXPORT LIBKSYSGUARD
        FILE libksysguard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== faces/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 1)

add_definitions(-DTRANSLATION_DOMAIN=\"KSysGuardSensorFaces\")

add_subdirectory(import)
add_subdirectory(facepackages)
add_subdirectory(packagestructure)

set(faces_LIB_SRCS
    SensorFaceController.cpp
    SensorFace.cpp
    FaceLoader.cpp
    resources.qrc
)

set(faces_LIB_HEADERS
    SensorFace_p.h
    SensorFaceController.h
    FaceLoader.h
)

ecm_qt_declare_logging_category(faces_LIB_SRCS
    HEADER faces_logging.h
    IDENTIFIER LIBKSYSGUARD_SENSORS
    CATEGORY_NAME org.kde.libksysguard.faces
    DESCRIPTION "libksysguard (faces)" EXPORT LIBKSYSGUARD)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE SensorInfo_p.h)

add_library(SensorFaces ${faces_LIB_SRCS} ${faces_LIB_HEADERS})
add_library(KSysGuard::SensorFaces ALIAS SensorFaces)

target_include_directories(SensorFaces
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(SensorFaces)

target_link_libraries(SensorFaces
    PUBLIC
        Qt::Qml
        Qt::Quick
        KF5::ConfigCore
        KF5::ConfigGui
        KSysGuard::Formatter
        KSysGuard::Sensors
    PRIVATE
        Qt::Core
        Qt::DBus
        KF5::I18n
        KF5::Package
        KF5::ConfigQml
        KF5::Solid
)

set_target_properties(SensorFaces PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensorFaces
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS SensorFaces EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${faces_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensorfaces_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/faces
    COMPONENT Devel
)

install(FILES systemmonitor-faces.knsrc systemmonitor-presets.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== formatter/CMakeLists.txt ===

set(Formatter_SOVERSION 1)

set(formatter_SRCS
    Formatter.cpp
    Unit.cpp
)

set(formatter_HDRS
    Formatter.h
    Unit.h
)

ecm_qt_declare_logging_category(formatter_SRCS
    HEADER formatter_debug.h
    IDENTIFIER FORMATTER
    CATEGORY_NAME org.kde.libksysguard.formatter
    DESCRIPTION "libksysguard (formatter)" EXPORT LIBKSYSGUARD
)

add_library(Formatter ${formatter_SRCS} ${formatter_HDRS})
add_library(KSysGuard::Formatter ALIAS Formatter)

target_link_libraries(Formatter
    PUBLIC
    Qt::Core
    Qt::Gui
    PRIVATE
    KF5::CoreAddons
    KF5::I18n
)

generate_export_header(Formatter)

target_include_directories(Formatter
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

set_target_properties(Formatter PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardFormatter
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${Formatter_SOVERSION}
)

target_compile_definitions(Formatter PRIVATE -DTRANSLATION_DOMAIN=\"KSysGuardFormatter\")

add_subdirectory(declarative)

install(TARGETS Formatter EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${formatter_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/formatter_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/formatter
)

=== processui/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,6 @@
         KF5::I18n
         KF5::WindowSystem
         KF5::AuthCore
-        KF5::Completion
         KF5::ConfigWidgets
         KF5::WidgetsAddons
         KF5::IconThemes

=== sensors/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 1)

add_subdirectory(declarative)

add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard_sensors\")

set(sensors_LIB_SRCS
    Sensor.cpp
    SensorDataModel.cpp
    SensorTreeModel.cpp
    SensorGroup.cpp
    SensorQuery.cpp
    SensorDaemonInterface.cpp
    SensorUnitModel.cpp
)

set(sensors_LIB_HEADERS
    Sensor.h
    SensorDataModel.h
    SensorTreeModel.h
    SensorQuery.h
    SensorUnitModel.h
    SensorInfo_p.h
)

ecm_qt_declare_logging_category(sensors_LIB_SRCS
    HEADER sensors_logging.h
    IDENTIFIER LIBKSYSGUARD_SENSORS
    CATEGORY_NAME org.kde.libksysguard.sensors
    DESCRIPTION "libksysguard (sensors)" EXPORT LIBKSYSGUARD
)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE ../systemstats/SensorInfo.h)
qt_add_dbus_interface(sensors_LIB_SRCS org.kde.KSysGuardDaemon.xml ksysguarddaemon)

add_library(Sensors ${sensors_LIB_SRCS})
add_library(KSysGuard::Sensors ALIAS Sensors)

target_include_directories(Sensors
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(Sensors)

target_link_libraries(Sensors
    PUBLIC
        Qt::Qml
        KSysGuard::Formatter
    PRIVATE
        Qt::Core
        Qt::DBus
        KF5::I18n
        KSysGuard::SystemStats
)

set_target_properties(Sensors PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensors
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS Sensors EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${sensors_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensors_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/sensors
    COMPONENT Devel
)

=== systemstats/CMakeLists.txt ===
set(SystemStats_SOVERSION 1)

add_compile_definitions(TRANSLATION_DOMAIN="ksysguard_systemstats")

set(systemstats_SRCS
    AggregateSensor.cpp
    SensorObject.cpp
    SensorContainer.cpp
    SensorPlugin.cpp
    SensorProperty.cpp
    SysFsSensor.cpp
    DBusInterface.cpp
)

set(systemstats_HDRS
    AggregateSensor.h
    SensorObject.h
    SensorContainer.h
    SensorPlugin.h
    SensorProperty.h
    SensorsFeatureSensor.h
    SysFsSensor.h
    SysctlSensor.h
    SensorInfo.h
    DBusInterface.h
)

set_source_files_properties(org.kde.ksystemstats.xml PROPERTIES INCLUDE SensorInfo.h)
qt_add_dbus_interface(dbusinterface_SRCS org.kde.ksystemstats.xml org.kde.ksystemstats)

# Symbol visibility trickery: We cannot generate the DBus interface class with
# the right export macro, so instead create it as a static library with the right
# visibility preset set, then link to that in the shared library.
add_library(dbusinterface STATIC ${dbusinterface_SRCS})
set_target_properties(dbusinterface PROPERTIES CXX_VISIBILITY_PRESET default)
target_link_libraries(dbusinterface Qt::Core Qt::DBus KSysGuard::Formatter)
set_property(TARGET dbusinterface PROPERTY POSITION_INDEPENDENT_CODE ON)

add_library(SystemStats ${systemstats_SRCS})
add_library(KSysGuard::SystemStats ALIAS SystemStats)

target_include_directories(SystemStats
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

target_link_libraries(SystemStats PUBLIC Qt::Core Qt::DBus KSysGuard::Formatter PRIVATE dbusinterface)

if (SENSORS_FOUND)
    target_sources(SystemStats PRIVATE SensorsFeatureSensor.cpp)
    target_link_libraries(SystemStats PUBLIC ${SENSORS_LIBRARIES} KF5::I18n)
    target_include_directories(SystemStats PUBLIC ${SENSORS_INCLUDE_DIR})
endif()

generate_export_header(SystemStats)

set_target_properties(SystemStats PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSystemStats
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${SystemStats_SOVERSION}
)

install(TARGETS SystemStats EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${systemstats_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/systemstats_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ksystemstats.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/systemstats
)

install(FILES org.kde.ksystemstats.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== sensors/declarative/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/..)

add_library(SensorsPlugin SHARED SensorsPlugin.cpp)

target_link_libraries(SensorsPlugin Qt::Qml KSysGuard::Sensors)

install(TARGETS SensorsPlugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/sensors)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/sensors)

=== debian/changelog ===
libksysguard (4:5.27.11-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:53:14 +0000

libksysguard (4:5.27.11-0ubuntu2) noble; urgency=medium

  * Disable qtwebengine on armhf for now.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Mar 2024 04:48:07 +0000

libksysguard (4:5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:22:57 +0000

libksysguard (4:5.27.10-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:28 +0000

libksysguard (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:44 +0100

libksysguard (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:55:06 -0700

libksysguard (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:56 +0000

libksysguard (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libksysguard
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -42,8 +43,8 @@
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin
